## org.gjt.sp.util
Class WorkRequest

    java.lang.Object
      org.gjt.sp.util.WorkRequest

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  BufferIORequest

public abstract class WorkRequest
extends java.lang.Object
implements java.lang.Runnable

A subclass of the Runnable interface.

Since:
  jEdit 2.6pre1

Constructor Summary
`WorkRequest()`

Method Summary
`void` `setAbortable(boolean abortable)` Sets if the request can be aborted.
`void` `setProgressMaximum(int value)` Sets the maximum progress value.
`void` `setProgressValue(int value)` Sets the progress value.
`void` `setStatus(java.lang.String status)` Sets the status text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### WorkRequest

    public WorkRequest()

Method Detail

### setAbortable

    public void setAbortable(boolean abortable)

  Sets if the request can be aborted.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the status text.

  Parameters:
    `status` - The status text

### setProgressValue

    public void setProgressValue(int value)

  Sets the progress value.

  Parameters:
    `value` - The progress value.

### setProgressMaximum

    public void setProgressMaximum(int value)

  Sets the maximum progress value.

  Parameters:
    `value` - The progress value.